variables:
  CONTAINER_REGISTRY: registry.gitlab.com
  CONTAINER_IMAGE_NAME: media-cloud-ai/workers/generic/py_sleeper_worker

default:
  before_script: []
  tags:
    - mcai

stages:
  - test
  - publish

include:
  - project: 'media-cloud-ai/ci/pipelines'
    file: '/python/python-base.yml'
  - project: 'media-cloud-ai/ci/pipelines'
    file: '/python/python-publish-docker.yml'


tests:
    stage: test
    script:
        - echo "Skip test stage, there's no test!"


lint:
  stage: test
  script:
    - mkdir ./pylint
    - pip install pylint pylint-exit anybadge
    - pylint --output-format=text worker.py | tee ./pylint/pylint.log || pylint-exit $?
    - >
      PYLINT_SCORE=$(sed -n
      's/^Your code has been rated at \([-0-9.]*\)\/.*/\1/p'
      ./pylint/pylint.log)
    - >
      anybadge --label=Pylint --file=pylint/pylint.svg
      --value=$PYLINT_SCORE 2=red 4=orange 8=yellow 10=green
    - echo "Pylint score is $PYLINT_SCORE"
  artifacts:
    paths:
      - ./pylint/


publish:docker:
  stage: publish
  image: docker
  before_script:
    - apk add --no-cache git make
  script:
    - export VERSION=$CI_COMMIT_TAG
    - make docker-build
    - make docker-registry-login
    - make docker-push-registry
    - make docker-clean
